hlist_for_each_entry_safe
Prev | Doubly Linked Lists | Next

## Name

hlist_for_each_entry_safe — iterate over list of given type safe against removal of list entry

## Synopsis

`hlist_for_each_entry_safe (` |  | tpos,
|  | pos,
|  | n,
|  | head,
|  | member`)`;

## Arguments

`tpos`

  the type * to use as a loop cursor.

`pos`

  the &struct hlist_node to use as a loop cursor.

`n`

  another &struct hlist_node to use as temporary storage

`head`

  the head for your list.

`member`

  the name of the hlist_node within the struct.

Prev | Up | Next
hlist_for_each_entry_from | Home | hlist_for_each_entry_rcu